// config: norepeat

#include "GetObjects.js"

function DoBoundingBox()
{
	var objectpicker = moi.ui.createObjectPicker();
	if ( !GetObjects( objectpicker ) )
		return;

	var objs = objectpicker.objects;

	for ( var i = 0; i < objs.length; ++i )
	{
		var obj = objs.item(i);
		var list = moi.geometryDatabase.createObjectList();
		list.addObject( obj );

		var factory = moi.command.createFactory( 'boundingboxcenter' );
		factory.setInput( 0, list );
	
		factory.commit();
	}

}

DoBoundingBox();
